%define _legacy_common_support 1

Summary:	A GTK front-end for CUPS
Name:		gtklp
Version:	1.3.4
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Printing
Source0:	http://prdownloads.sourceforge.net/gtklp/%{name}-%{version}.src.tar.gz
Url:		http://gtklp.sourceforge.net/
Source1:	gtklp-icon48.png
Source2:	gtklp-icon32.png
Source3:	gtklp-icon16.png
Patch1:		gtklp-1.3.4-mdv-fix-str-fmt.patch
Patch2:		gtklp-autoconf.patch
BuildRequires:	cups-common
BuildRequires:	gtk+2-devel
BuildRequires:	cups-devel > 1.1
Requires:	cups > 1.1

%description
A GTK front-end for CUPS.

%prep
%autosetup -p1

sed -e '/DEF_BROWSER_CMD/{s:netscape:firefox:}' \
	-e '/DEF_HELP_HOME/{s:631/sum.html#STANDARD_OPTIONS:631/help/:}' \
	-i include/defaults.h


mkdir -p Mageia
cp %{SOURCE1} Mageia/gtklp-icon48.png
cp %{SOURCE2} Mageia/gtklp-icon32.png
cp %{SOURCE3} Mageia/gtklp-icon16.png

%build
autoreconf -fi
%configure --enable-forte
%make_build

%install
mkdir -p %{buildroot}/%{_datadir}/applications/
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}

%make_install

# menu entry
cat << EOF > %buildroot%{_datadir}/applications/mageia-%{name}.desktop
[Desktop Entry]
Type=Application
Categories=HardwareSettings;Settings;GTK;
Name=GTK CUPS
Comment=GTK Frontend for CUPS
Exec=%{_bindir}/gtklp
Icon=gtklp
EOF

cat << EOF > %buildroot%{_datadir}/applications/mageia-gtklpq.desktop
[Desktop Entry]
Type=Application
Categories=HardwareSettings;Settings;GTK;
Name=GTK Printer Queue
Comment=GTK Frontend to GTKlp CUPS Queue
Exec=%{_bindir}/gtklpq
Icon=gtklp
EOF

# menu icon
install -m0644 Mageia/gtklp-icon48.png %{buildroot}%{_liconsdir}/%{name}.png
install -m0644 Mageia/gtklp-icon32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 Mageia/gtklp-icon16.png %{buildroot}%{_miconsdir}/%{name}.png

# locales
%find_lang %name

%files -f %name.lang
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO USAGE
%{_bindir}/*
%{_datadir}/applications/mageia-*.desktop
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_mandir}/man1/*


%changelog
* Thu Nov 05 2020 wally <wally> 1.3.4-2.mga8
+ Revision: 1642889
- fix build with autoconf 2.69d

* Tue Aug 25 2020 martinw <martinw> 1.3.4-1.mga8
+ Revision: 1619036
- new version 1.3.4
- fix build with GCC 10

* Thu Feb 13 2020 umeabot <umeabot> 1.3.0-7.mga8
+ Revision: 1512823
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0-6.mga7
+ Revision: 1298119
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1.3.0-5.mga6
+ Revision: 940982
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-4.mga5
+ Revision: 744904
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-3.mga5
+ Revision: 680022
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 527545
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 fwang <fwang> 1.3.0-1.mga4
+ Revision: 441088
- new version 1.3.0

* Mon Jan 21 2013 malo <malo> 1.2.9-3.mga3
+ Revision: 390317
- updated RPM group

* Sat Jan 12 2013 umeabot <umeabot> 1.2.9-2.mga3
+ Revision: 352898
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 23 2012 fedya <fedya> 1.2.9-1.mga3
+ Revision: 283258
- missed dot in descr
- imported package gtklp

